AIO_ERROR(3) | Library Functions Manual | AIO_ERROR(3)

# NAME

aio_error — retrieve error status of asynchronous I/O operation (REALTIME)

# LIBRARY

POSIX Real-time Library (librt, -lrt)

# SYNOPSIS

#include <aio.h>
int
aio_error(const struct aiocb *aiocbp);

# DESCRIPTION

The aio_error() system call returns the error status of the asynchronous I/O request associated with the structure pointed to by aiocbp.

# RETURN VALUES

If the asynchronous I/O request has completed successfully, aio_error() returns 0. If the request has not yet completed, `EINPROGRESS` is returned. If the request has completed unsuccessfully the error status is returned as described in read(2), write(2), or fsync(2). On failure, aio_error() returns -1 and sets errno to indicate the error condition.

# ERRORS

The aio_error() system call will fail if:

[`EINVAL`]
  The aiocb argument does not reference an outstanding asynchronous I/O request.

# SEE ALSO

fsync(2), read(2), write(2), aio(3)

# STANDARDS

The aio_error() system call is expected to conform to the IEEE Std 1003.1-2001 (“POSIX.1”) standard.

# HISTORY

The aio_error() system call first appeared in NetBSD 5.0.

May 17, 2010 | NetBSD 8.2